Previous: Palette files, Up: System files [Contents][Index]

### 4.4 Romset files

The Romset files are not used by default on all emulators. You might have recognized that the names of the ROM images are saved in resources. Loading a Romset file now just means a ‘shortcut’ to changing all the resources with ROM image names and reloading the ROMs.

The PET and CBM-II emulators use this feature to change between the different ROM versions available for those machines. E.g. the Romset file for the PET 2001 is

    KernalName="pet2001"
    EditorName=
    ChargenName="chargen"
    RomModule9Name=
    RomModuleAName=
    RomModuleBName=

As you can see, the file even uses the same syntax as the resource file, it is just a bit stripped down.

While a Romset file is processed, the directory where the Romset file was found is temporarily prepended to the search path (`Directory` resource). This also means that if you have a setting for `Directory` in it, its effect is limited to the Romset file itself.

#### 4.4.1 Romset command line options

`-romsetfile <File>`

  load the given romset file

`-romsetarchive <File>`

  load the given romset archive

`-romsetarchiveselect <Item number>`

  select the given item from the current romset archive